import { loadAllComponentInfo, loadDesignPlanner } from "./component-discovery.js";
const composeScreenPlan = (prompt, schema) => {
  const listOfAllComponents = Object.keys(loadAllComponentInfo()).join("\n");
  const template = loadDesignPlanner();
  let designEngineerPrompt = template.replace("{{USER_PROMPT}}", prompt).replaceAll("{{COMPONENT_LIST}}", listOfAllComponents);
  if (schema) {
    designEngineerPrompt = designEngineerPrompt.replace("{{SCHEMA}}", schema);
  } else {
    designEngineerPrompt = designEngineerPrompt.replace("{{SCHEMA}}", "");
  }
  return designEngineerPrompt;
};
export {
  composeScreenPlan
};
